import request from '@/utils/request';
import { REQUEST } from '@/utils/request';

// 课程详情
export const stxkjs_detail = (data = {}) =>
    request({
        url: '/khfw/kcbkb/detail_mix',
        data: {
            api:"json",
            ex: "byweek",
            kkbk_id: data.kkbk_id,
        }
    })

// 课程出勤
export const stxkjs_kccq = (data={}) =>
 request({
        url:'/khfw/kccq/index',
        data:{
            api:"json",
            kxq_code: data.kxq_code
        }
    })

// 课程点名
export const stxkjs_check = (data={}) =>
    request({
        url:'/khfw/kccq/checkin',
        data:{
            kkbk_id: data.kkbk_id,
            member:data.member,
            sendmsg:data.sendmsg,
            kccq_sfydm:data.kccq_sfydm
        }
    })

// 补卡 
export const stxk_repair = (data={}) =>{
    return request({
        url:'/khfw/kccq/checkin_repair',
        data,
    })
}

// 课堂反馈
export const stxkjs_back = (data={})=>{
    return request({
        url:'/khfw/kcbkb_kcqkfk/add',
        data:{
            khfw_kcbkb_kcqkfk:data.khfw_kcbkb_kcqkfk
        }
    })
}
// 课堂反馈删除
export const stxkjs_delete= (data={})=>{
    return request({
        url:'/khfw/kcbkb_kcqkfk/delete',
        data,
    })
}

// 年级下的班级
export const grade_list = (data = {}) => {
    return request({
        url: 'https://uc.bozedu.net/index.php?mod=class&action=main&do=grade_class',
        data,
    })
}
// 班级详情
export const grade_detail = (data = {}) => {
    return request({
        url: 'https://uc.bozedu.net/index.php?mod=class&action=main&do=detail',
        data,
    })
}
// 报名列表
export const kcbm_list = (data = {}) => {
    return request({
        url: '/khfw/kcbmxx/index',
        data,
    })
}

// 错到学生列表
export const cdxs_list = (data = {}) => {
    return request({
        url: '/khfw/kcbkb_cdxs/index',
        data,
    })
}
// 错到学生删除
export const cdxs_delete = (data = {}) => {
    return request({
        url: '/khfw/kcbkb_cdxs/delete',
        data,
    })
}
// 错到学生添加
export const cdxs_add = (data = {}) => {
    return request({
        url: '/khfw/kcbkb_cdxs/add',
        data: {
            khfw_kcbkb_cdxs:data.khfw_kcbkb_cdxs
        }
    })
}